<div class="default-content-padding">
  <div align="center">
    <h3>Zarejestruj się</h3>
    <form class="column-flex" name="form">
      <mat-form-field>
        <mat-label>Login</mat-label>
        <input matInput name="login" [(ngModel)]="username" [formControl]="loginFormControl">
        <mat-error *ngIf="emailFormControl.hasError('required')">
          Login jest <strong>wymagany</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>E-mail</mat-label>
        <input matInput name="email" type="email" [(ngModel)]="email" [formControl]="emailFormControl">
        <mat-error *ngIf="emailFormControl.hasError('email') && !emailFormControl.hasError('required')">
          Podaj prawidłowy adres e-mail
        </mat-error>
        <mat-error *ngIf="emailFormControl.hasError('required')">
          Email jest <strong>wymagany</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Hasło</mat-label>
        <input matInput type="password" name="password" [(ngModel)]="password">
      </mat-form-field>
      <button mat-raised-button (click)="register()" id="register-btn">Zarejestruj się</button>
    </form>
  </div>
</div>
